@import url('https://fonts.googleapis.com/css2?family=Galada&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dynalight&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Alice&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Barlow:ital,wght@1,900&display=swap');


* {
    margin: 0;
    padding: 0;
}

body {
  scroll-behavior: smooth;
}


html {
    scroll-behavior: smooth;
    scroll-padding-top: 70px;
}

body {
    background-color: whitesmoke;
    min-height: 100dvh;
    max-width: 100dvw;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

nav {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 999;
    background-color: black;
    padding: 10px;
    display: flex;
    box-sizing: border-box;
    justify-content: space-between;
    align-items: center;
    animation: opacidade 3s;
    animation-iteration-count: 1;
}

nav ul {
    display: flex;
    list-style: none;
    gap: 10px;
}

nav a {
    color: #ffffff;
    text-decoration: none;
    font-family: 'Alice', sans-serif;
    font-weight: 500;
    font-size: 20px;
    transition: 1s;
    border-bottom: 1px solid rgba(245, 245, 245, 0);
    display: inline-block
}

nav a:hover {
    text-shadow: 0 0 10px whitesmoke;
    border-bottom: 1px solid whitesmoke;

}

#orcamento-link {
    transition: transform 0.3s;
}

#orcamento-link:hover {
    text-shadow: 0 0 10px gold;
    border-bottom: 1px solid whitesmoke;
    transform: scale(1.04);
}

/* --- Estilo do Ícone Hamburguer --- */
.menu-toggle {
    display: none;
    /* Escondido no desktop */
    cursor: pointer;
    flex-direction: column;
    gap: 5px;
}

.bar {
    width: 25px;
    height: 3px;
    background-color: gray;
    transition: 0.4s;
    border-radius: 20px;
}

.nav-list img {
    display: none;
}

@media (max-width: 900px) {
    html {
        scroll-padding-top: 0px;
    }

    /* Mostra o botão sanduíche */
    .menu-toggle {
        display: flex;
        position: relative;
        z-index: 1001;
    }

    nav {
        background-color: transparent;
        justify-content: right;

    }

    #icon-desktop {
        display: none;
    }

    .nav-list {
        display: none;
        flex-direction: column;
        align-items: center;
        position: fixed;
        top: 0;
        right: 0;
        height: 100%;
        background-color: black;
        gap: 15px;
        padding: 40px;
        padding-top: 20px;
        z-index: 1000;
        border-bottom: 2px solid #333;

    }


    .nav-list.active {
        display: flex;
    }

    .nav-list.active img {
        display: inline-block;
    }

    .menu-toggle.is-active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    /* Barra do meio desaparece */
    .menu-toggle.is-active .bar:nth-child(2) {
        opacity: 0;
    }

    /* Barra de baixo gira -45 graus */
    .menu-toggle.is-active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }
}

header {
    padding: 20px;
    align-items: center;
    display: flex;
    justify-content: center;
    flex-direction: column;
    min-height: 85dvh;
    background-color: rgb(14, 14, 14);
    gap: 20px;
}

header img {
    width: 600px;
    animation:
        transicao 10s infinite,
        opacidade 3s forwards;
    filter: grayscale(100) brightness(100);
    padding: 10px;

}

header h1 {
    color: whitesmoke;
    font-family: "Montserrat", sans-serif;
    font-weight: 200;
    animation: movimentobaixopracima 12s;
    animation-iteration-count: 1;
}

header h2 {
    color: whitesmoke;
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    animation: movimentobaixopracima 12s;
    animation-iteration-count: 1;
}

@keyframes transicao {
    0% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(15px);
    }

    75% {
        transform: translateY(-15px);
    }

    100% {
        transform: translateY(0px);
    }
}

main {
    flex: 1;
    padding-bottom: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

#contato {
    display: flex;
    flex-direction: column;
    gap: 30px;
    text-wrap: wrap;
    justify-content: center;
    text-align: center;
    align-items: center;
    padding-bottom: 20px;
    animation: opacidade 3s;
    animation-iteration-count: 1;
    text-align: center;
}

h1,
h2 {
    color: black;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    animation: movimentobaixopracima 12s;
    animation-iteration-count: 1;
}

h2 {
    font-weight: normal;
}

button {
    cursor: pointer;
    background-color: #d9d9d9;
    color: black;
    text-align: center;
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    font-size: 20px;
    border: 0;
    padding: 20px;
    padding-left: 80px;
    padding-right: 80px;
    border-radius: 10px;
    transition: 0.5s;
    animation: opacidade 3s;
    animation-iteration-count: 1;
}

button:hover {
    color: black;
    box-shadow: 0px 0px 10px whitesmoke;
    transform: scale(1.000000000001);
    font-weight: bold;
}

.portfolio h1 {
    font-size: 56px;

}

.portfolio h2 {
    max-width: 750px;
    padding-left: 20px;
    padding-right: 20px;
    min-width: 300px;
    font-family: 'Alice', Helvetica, sans-serif;
}

.portfolio {
    gap: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    animation: opacidade 3s;
    animation-iteration-count: 1;
    text-align: center;
    min-height: 100dvh;
    padding-bottom: 20px;
    padding-top: 20px;
    align-items: center;
    position: relative;
}

.portfolio svg {
    position: absolute;
    top: -2px;
    left: 50%;
    transform: translateX(-50%) rotate(180deg);

}

@keyframes opacidade {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.videos {
    align-items: center;
    display: flex;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    animation: opacidade 5s;
    animation-iteration-count: 1;
}

.videos video,
.videos img {
    width: 640px;
    height: 360px;
    border-radius: 20px;
    align-items: center;
    object-fit: cover;
    transition: none !important;
}

.videos-comercial {
    align-items: center;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    animation: opacidade 5s;
    animation-iteration-count: 1;
}

.videos-comercial video,
.videos-comercial img {
    width: 300px;
    height: 531px;
    border-radius: 20px;
    align-items: center;
    object-fit: cover;
    transition: box-shadow 0.5s ease-in-out;
}

video:fullscreen {
    object-fit: contain;
    background-color: black;
    transition: all 0.8s ease-in;
}

video:-webkit-full-screen {
    object-fit: contain;
    background-color: black;
    transition: all 0.8s ease-in;
}

video:not(:fullscreen) {
    transition: none !important;
}

video:hover {
    box-shadow: 0px 0px 10px whitesmoke;
    transition: box-shadow 0.5s ease-in-out;
}

#parceiros {
    background-color: whitesmoke;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: whitesmoke;
    justify-content: center;
    align-items: center;
    animation: opacidade 3s;
    animation-iteration-count: 1;
}

#parceiros h1 {
    max-width: 600px;
    min-width: 300px;
    line-height: 1;
}

#parceiros h2 {
    max-width: 550px;
    min-width: 180px;
    padding: 5px;
    line-height: 1;
    font-family: 'Alice', Helvetica, sans-serif;
}

#parceiros div {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

#parceiros img {
    width: 125px;
    filter: drop-shadow(1px 1px 0px black);
}

#formulario {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 40px;
    align-items: center;
    color: whitesmoke;
    font-family: 'Alice';
    padding: 10px;
    min-height: 100dvh;
    background-color: #111317;
    align-content: center;
    padding-top: 40px;
    padding-bottom: 40px;
    animation: opacidade 3s;
    animation-iteration-count: 1;
}

#formulario h2 {
    font-family: 'Alice';
    font-size: 28px;
    line-height: 1;
}



#formulario form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 30px;
    border-radius: 20px;
    gap: 10px;
    width: 400px;
    background-color: rgb(245, 245, 245);
    border: 1px solid black;
    margin: 0;
    box-shadow: 0 8px 24px rgba(0, 0, .18);
    border: 1px solid rgba(255, 255, 255, .08);
}

#formulario input[type='text'] {
    padding: 10px;
    border: 1px solid black;
    border-radius: 7px;
    background-color: rgb(231, 231, 231);
    width: 95%;
    font-size: 15px;
}

#formulario input[type='submit'] {
    padding: 14px;
    font-size: 16px;
    width: 98%;
    cursor: pointer;
    background-color: #d9d9d9;
    color: black;
    text-align: center;
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    border: 0;
    border-radius: 10px;
    transition: 0.5s;
    animation: opacidade 3s;
    animation-iteration-count: 1;
}

#formulario input[type='submit']:hover {
    color: rgb(12, 12, 12);
    box-shadow: 0px 0px 10px whitesmoke;
    transform: scale(1.000000000001);
    font-weight: bold;
}

#formulario textarea {
    resize: none;
    background-color: rgb(231, 231, 231);
    padding: 10px;
    height: 100px;
    font-size: 15px;
    width: 95%;
    border-radius: 10px;
}


#card-caio {
    max-width: 500px;
    min-width: 300px;
    text-align: left;
    color: black;
    gap: 6px;
    display: flex;
    flex-direction: column;
    padding: 25px;
    align-items: left;
}

#card-caio h1 {
    font-size: 56px;
    line-height: 1;
    font-family: 'Barlow', sans-serif;
    font-weight: 900;
    font-style: italic;
    color: whitesmoke;
    margin: 0;
}


#card-caio h2 {
    font-family: 'Alice';
    color: whitesmoke;
    margin: 0;
    font-size: 26px;
}

#sobre {
    padding: 10px;
    padding-top: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    max-width: 1000px;
    margin: 0 auto;
    text-align: left;
}

#sobre div{
    align-items: start;
}




footer {
    align-items: center;
    text-align: center;
    text-wrap: wrap;
    background-color: rgb(15, 15, 15);
    padding-top: 10px;
    padding-bottom: 10px;
    color: rgb(230, 230, 230);
    font-family: 'Montserrat', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 19px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    animation: opacidade 3s;
    animation-iteration-count: 1;
}


@media screen and (max-width: 700px) {
    header img {
        width: 400px;
    }

    .videos video,
    .videos img {
        width: 500px;
        height: 280px;
    }

    .videos-comercial video,
    .videos-comercial img {
        width: 270px;
        height: 470px;
    }
}


@media screen and (max-width: 550px) {

    #contato h1 {
        font-size: 24px;
    }

    #contato h2 {
        font-family: Arial, Helvetica, sans-serif;
        font-size: 18px;
    }

    #casamentos {
        min-height: 0;
        padding-top: 20px;
        padding-bottom: 30px;
    }

    .portfolio h1 {
        font-size: 40px;
    }

    .portfolio h2 {
        width: 250px;
        font-size: 16px;
        padding: 0;
    }

    header img {
        width: 270px;
    }

    .videos video,
    .videos img {
        width: 400px;
        height: 250px;
    }

    .portfolio h2 {
        font-size: 18px;
    }

    .portfolio button {
        padding: 10px;
        font-size: 18px;
    }

    #parceiros img {
        width: 75px;
    }

    #formulario form {
        padding: 20px;
    }

    #card-caio div article {
        font-size: 14px;
    }

    #card-caio h1 {
        font-size: 40px;
    }

    #card-caio h2 {
        font-size: 24px;
    }

    #card-caio div article {
        padding-right: 30px;
    }

    footer {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        font-size: 16px;
        text-align: center;
    }
}

@media screen and (max-width: 420px) {
    #contato h1 {
        font-size: 24px;
    }

    #contato h2 {
        font-family: Arial, Helvetica, sans-serif;
        font-size: 18px;
    }

    #parceiros h1 {
        font-size: 20px;
    }

    #parceiros h2 {
        font-size: 16px;
    }

    .videos video,
    .videos img {
        width: 290px;
        height: 170px;
    }

    #card-caio {
        padding: 0px;
        max-width: 400px;
    }

    #card-caio h1 {
        font-size: 36px;
    }


    #formulario form {
        width: 100%;
    }


}